Download it now!
Bug 87432 - android: Folder icons for folders
Summary: android: Folder icons for folders
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Android Viewer (show other bugs)
Version:
(earliest affected)
4.4.0.0.alpha0+ Master
Hardware: Other All
: medium normal
Assignee: Jacobo Aragunde Pérez
URL:
Whiteboard: target:4.5.0
Keywords:
Depends on:
Blocks: mabAndroid
  Show dependency treegraph
 
Reported: 2014-12-18 09:02 UTC by Jan Holesovsky
Modified: 2017-03-04 00:18 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Holesovsky 2014-12-18 09:02:46 UTC
In the file browser on Android, we should use folder icons for folders, instead of the dark circles.

A good one might be icon-themes/tango/framework/res/folder_32.png ; or something :-)
Comment 1 Jan Holesovsky 2015-01-09 15:11:27 UTC
Jacobo: Adding you to CC, in case this is of interest for you :-)
Comment 2 Jacobo Aragunde Pérez 2015-01-13 15:59:18 UTC
There is even a folder icon in LOAndroid3 resources, at android/experimental/LOAndroid3/res/drawable.

As a curiosity, the dark circles would be filled with thumbnails of the contents of that folder in case there were hidden thumbnail files inside. We probably do not want to generate those, though.
Comment 3 Commit Notification 2015-02-05 09:34:02 UTC
Jacobo Aragunde Pérez committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=f3eccc655387b47fb0986558b8835588eee2898d

tdf#87432: normal icons for folders in android doc browser

It will be available in 4.5.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 4 vihsa 2017-02-27 08:40:45 UTC
verified.  Version: 5.4.0.0.alpha0+
Build ID: febc116

In the file browser on Android, i am able to view folder icons for folders, instead of the dark circles.